<div class="infra-num-card mayor-kind">
  <dsfr-stepper
    [numberOfSteps]="3"
    [stepNumber]="3"
    stepTitle="Valider l'adresse électronique">
  </dsfr-stepper>
  <hr>
  <ng-container *ngIf="noEmailFound else templateEmailFound">
    <dsfr-alert
      [type]="alertType.ERROR"
      [hasCloseButton]="false">
      <p class="fr-mb-3w">
        Aucune adresse courriel associée à votre administration n'a été trouvée.
        Veuillez la renseigner dans
        <a [href]="environment.servicePublicPhoneBook" target="_blank">
          l’annuaire du service public
        </a> afin de vous inscrire sur ce site.
      </p>
      <ng-container *ngTemplateOutlet="helpInformationText"></ng-container>
    </dsfr-alert>
  </ng-container>
  <ng-template #templateEmailFound>
    <div>
      <p>
        Selon nos informations, l'adresse électronique qui correspond à votre mairie est :
      </p>
      <p class="email">
        {{ subscriptionData?.locality.localityInformation.adresse_courriel }}
      </p>
      <p>
        Afin de vérifier que vous faites bien partie de cette administration, nous allons envoyer un courriel de confirmation à cette adresse électronique.
      </p>
    </div>
    <div>
      <dsfr-alert
        [type]="alertType.INFO"
        [hasCloseButton]="false">
        <p class="fr-mb-3w">
          Si l'adresse électronique est incorrecte, vérifiez que
          l'adresse électronique de votre mairie ou EPCI est à jour sur
          <a [href]="environment.servicePublicPhoneBook" target="_blank">
            l’annuaire du service public
          </a>. Une fois l'adresse électronique à jour, vous pourrez
          vous inscrire sur ce site après un délai de quelques jours.
        </p>
        <ng-container *ngTemplateOutlet="helpInformationText"></ng-container>
      </dsfr-alert>
    </div>
  </ng-template>
  <div class="card-buttons">
    <dsfr-button
      label="Précédent"
      [size]="buttonSize"
      [type]="buttonDesign"
      [htmlType]="buttonType.BUTTON"
      (click)="onBackButtonClicked()">
    </dsfr-button>
    <dsfr-button
      label="Envoyer"
      [disabled]="noEmailFound"
      [size]="buttonSize"
      [htmlType]="buttonType.SUBMIT"
      (click)="onSubmit()">
    </dsfr-button>
  </div>
</div>
<ng-template #helpInformationText>
  <p>
    En cas de besoin, contactez-nous par courriel à
    <a href="mailto:{{environment.emailAnctContact}}">{{environment.emailAnctContact}}</a>.
  </p>
</ng-template>
